読者です 読者をやめる 読者になる 読者になる

Elive Enlightenment on Oracle VM VirtualBox

インストールに使用しましたISOファイルは、elive_2.9.0_beta_hybrid.isoです。

 

日本語入力システムの構築について

Uim Anthyが利用できます。

 

Terminalを開いて

user $ sudo apt-get install anthy

user $ sudo apt-get install uim uim-anthy uim-applet-gnome

 

user $ sudo nano ~/.xsession

下記のとおり追記しました。

if type uim-xim &> /dev/null ; then

  uim-xim &

fi

XMODIFIERS=@im=uim ; export XMODIFIERS

GTK_IM_MODULE=uim ; export GTK_IM_MODULE

UIM_IM_ENGINE=anthy ; export UIM_IM_ENGINE

uim-xim &

uim-toolbar-gtk &

uim-toolbar-gtk-systray &

こちらを参照しました。

【debian】日本語入力環境を整える at softelメモ

 

メニュー〈デスクトップ画面を左クリックします。〉 → Settings → ALL → Preferrence → 入力メソッド

https://cdn.scrot.moe/images/2017/04/26/2017-04-26_12h36_26.png

メニュー〈デスクトップ画面を左クリックします。〉 → Settings → ALL →Language

Language Settings, Input Method Settings

https://cdn.scrot.moe/images/2017/04/26/2017-04-26_12h40_08.png

https://cdn.scrot.moe/images/2017/04/26/2017-04-26_12h40_27.png

 

Applicaitinsのインストールについて

メニュー〈デスクトップ画面を左クリックします。〉 → Settings → ALL → System → Synapticパッケージマネージャ

leafpad, gnupg2, gnome-terminal, xfce4-terminalをインストールしました。

 

How to run chromium as root
下記のとおり、'--user-data-dir'を追記しました。

root # nano /usr/bin/chromium
#!/bin/sh

# Chromium launcher

# Authors:
#  Fabien Tassin <fta@sofaraway.org>
# License: GPLv2 or later

APPNAME=chromium
LIBDIR=/usr/lib/chromium
EXTRALIB=/usr/lib/xulrunner-1.9.1
GDB=/usr/bin/gdb
BUILD_DIST="Debian 7.6"

usage () {
  echo "$APPNAME [-h|--help] [-g|--debug] [--temp-profile] [options] [URL]"
  echo
  echo "        -g or --debug           Start within $GDB"
  echo "        -h or --help            This help screen"
  echo "        --temp-profile          Start with a new and temporary profile"
  echo
  echo " Other supported options are:"
  MANWIDTH=80 man chromium | sed -e '1,/OPTIONS/d; /ENVIRONMENT/,$d'
  echo " See 'man chromium' for more details"
}

if [ -f /etc/$APPNAME/default ] ; then
  . /etc/$APPNAME/default
fi

# Prefer user defined CHROMIUM_USER_FLAGS (fron env) over system
# default CHROMIUM_FLAGS (from /etc/$APPNAME/default)
CHROMIUM_FLAGS=${CHROMIUM_USER_FLAGS:-"$CHROMIUM_FLAGS"}

# FFmpeg needs to know where its libs are located
if [ "Z$LD_LIBRARY_PATH" != Z ] ; then
  LD_LIBRARY_PATH=$LIBDIR:$EXTRALIB:$LD_LIBRARY_PATH
else
  LD_LIBRARY_PATH=$LIBDIR:$EXTRALIB
fi
export LD_LIBRARY_PATH

# For the Default Browser detection to work, we need to give access
# to xdg-settings. Also set CHROME_WRAPPER in case xdg-settings is
# not able to do anything useful
export PATH="$LIBDIR:$PATH"
export CHROME_WRAPPER="`readlink -f "$0"`"
export CHROME_DESKTOP=$APPNAME.desktop

#DIST=`lsb_release -si`
#RELEASE=`lsb_release -sr`
DIST=Debian
RELEASE=`cat /etc/debian_version`

# Set CHROME_VERSION_EXTRA visible in the About dialog and in about:version
if [ "$DIST $RELEASE" = "$BUILD_DIST" ] ; then
  export CHROME_VERSION_EXTRA="$DIST $RELEASE"
else
  export CHROME_VERSION_EXTRA="Built on $BUILD_DIST, running on $DIST $RELEASE"
fi

want_debug=0
want_temp_profile=0
while [ $# -gt 0 ]; do
  case "$1" in
    -h | --help | -help )
      usage
      exit 0 ;;
    -g | --debug )
      want_debug=1
      shift ;;
    --temp-profile )
      want_temp_profile=1
      shift ;;
    -- ) # Stop option prcessing
      shift
      break ;;
    * )
      break ;;
  esac
done

if [ $want_temp_profile -eq 1 ] ; then
  TEMP_PROFILE=`mktemp -d`
  CHROMIUM_FLAGS="$CHROMIUM_FLAGS --user-data-dir=$TEMP_PROFILE"
fi

if [ $want_debug -eq 1 ] ; then
  if [ ! -x $GDB ] ; then
    echo "Sorry, can't find usable $GDB. Please install it."
    exit 1
  fi
  tmpfile=`mktemp /tmp/chromiumargs.XXXXXX` || { echo "Cannot create temporary file" >&2; exit 1; }
  trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
  echo "set args $CHROMIUM_FLAGS ${1+"$@"}" > $tmpfile
  echo "# Env:"
  echo "#     LD_LIBRARY_PATH=$LD_LIBRARY_PATH"
  echo "#                PATH=$PATH"
  echo "#            GTK_PATH=$GTK_PATH"
  echo "# CHROMIUM_USER_FLAGS=$CHROMIUM_USER_FLAGS"
  echo "#      CHROMIUM_FLAGS=$CHROMIUM_FLAGS"
  echo "$GDB $LIBDIR/$APPNAME -x $tmpfile"
  $GDB "$LIBDIR/$APPNAME" -x $tmpfile
  if [ $want_temp_profile -eq 1 ] ; then
    rm -rf $TEMP_PROFILE
  fi
  exit $?
else
  if [ $want_temp_profile -eq 0 ] ; then
    exec $LIBDIR/$APPNAME $CHROMIUM_FLAGS "$@" --user-data-dir
  else
    # we can't exec here as we need to clean-up the temporary profile
    $LIBDIR/$APPNAME $CHROMIUM_FLAGS "$@"
    rm -rf $TEMP_PROFILE
  fi
fi

Elive Enlightenmentスクリーンショットです。

https://cdn.scrot.moe/images/2017/04/26/2017-04-26_13h15_28.png

https://cdn.scrot.moe/images/2017/04/26/2017-04-26_12h32_45.png

こちらのLinuxOSは有料になります。

https://cdn.scrot.moe/images/2017/04/26/2017-04-25_14h06_57.png

 

exGENT Xfce on Oracle VM VirtualBox

インストールに使用しましたISOファイルは、exgent-64bit-xfce4-2760mb-170303.isoです。

 

ログインとパスワード

通常ユーザー live パスワード live

roor パスワード root

 

root # setxkbmap jp

root # parted /dev/sda

root # mklabel msdos

root # unit mib

root # mkpart,p,ext2,1,801

root # set 1 boot on

root # mkpart,p,linux-swap,801,3001

root # mkpart,p,ext2,3001,-1

root # q

 

root # mkfs.ext3 /dev/sda1

root # mkfs.ext3 /dev/sda2

root # mkfs.ext3 /dev/sda3

root # mkswap /dev/sda2

root # swapon /dev/sda2

root # mke2fs -L / -I 128 -F -j -O dir_index /dev/sda3

root # cd /root/install

root # ./install.sh /dev/sda3 /dev/sda2

root # ./install-boot.sh /dev/sda3 /dev/sda

root # poweroff

 

roor パスワード rootでログインしました。

 

root # useradd -m -G users,audio,wheel username

root # passwd username

root # grub-mkconfig –o /boot/grub/grub.cfg

root # nano /boot/grub/grub.cfg

msdos1 → msdos3に変更します。

 

root # nano -w /etc/locale.genで必要なロケールのコメントを外します。

##以下を編集

en_US ISO-8859-1

en_US.UTF-8 UTF-8

ja_JP.EUC-JP EUC-JP

ja_JP.UTF-8 UTF-8

ja_JP EUC-JP

 

root # locale-gen

root # eselect locale list

[8] ja_JP.utf8

root # eselect locale set 8

root # eselect locale list

 

日本語入力システムの構築について

user $ sudo emerge-webrsync

user $ sudo emerge --ask media-fonts/ja-ipafonts

user $ sudo emerge --ask media-fonts/sazanami

 

user $ sudo USE="gtk3" emerge --ask =app-i18n/ibus-1.5.12

user $ sudo emerge --ask =app-i18n/ibus-anthy-1.5.4

〈/etc/portage/make.conf file USE="-kde -gnome -qt -qt5 -ipv6 -bluetooth -systemd -gtk2"〉

 

user $ sudo nano ~/.xinitrc

下記のとおり追記しました。

export GTK_IM_MODULE=ibus

export QT_IM_MODULE=ibus

export XMODIFIERS=@im=ibus

 

user $ sudo ibus-setup

 

Noto Sans CJK Jpフォントを追加しました。

 

ibus-daemonのautostartについて

Xfce Menu → Settings → Session and Startup

Application Autostartに「IBusDaemon」を追加しました。

Name: IBusDaemon Command: /usr/bin/ibus-daemon -drx

 

Additional applicationsのインストールについて
user $ sudo emerge --ask x11-terms/fxce4-terminal
user $ sudo emerge --ask x11-terms/mate-terminal

 

exGENT Xfceスクリーンショットです。

https://cdn.scrot.moe/images/2017/03/08/2017-03-07_19h28_59.png

https://cdn.scrot.moe/images/2017/03/08/2017-03-07_19h35_52.png

https://cdn.scrot.moe/images/2017/03/09/2017-03-09_13h32_05.png

https://cdn.scrot.moe/images/2017/03/09/2017-03-09_13h33_17.png

最初の起動画面です。

https://cdn.scrot.moe/images/2017/03/08/2017-03-08_06h02_25.png

「e」を押します。

line 3 msdos1 → msdos3

line 5 msdos1 → msdos3

「F10」を押します。